#include "PS_Editor_PlayerController.h"

APS_Editor_PlayerController::APS_Editor_PlayerController()
{
	bShowMouseCursor = true;
	DefaultMouseCursor = EMouseCursor::Default;
}

void APS_Editor_PlayerController::BeginPlay()
{
	Super::BeginPlay();

	// Start in Game+UI mode so cursor is visible and clicks go to both UI and game
	SetInputMode(FInputModeGameAndUI().SetHideCursorDuringCapture(false));
}
